﻿using Caliburn.Micro;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace RibbonApplication.ViewModels
{
   [Export(typeof(MainViewModel))]
   class MainViewModel : Screen, INotifyPropertyChanged
   {
      public RibbonViewModel Ribbon { get; private set; }

      [ImportingConstructor]
      public MainViewModel()
      {
         Ribbon = new RibbonViewModel();
      }

      public void Button_Click()
      {
         Ribbon.EnableButtons();
      }
     

      public event PropertyChangedEventHandler PropertyChanged;

      public void OnPropertyChanged(string name)
      {
         if (PropertyChanged != null)
         {
            PropertyChanged(this, new PropertyChangedEventArgs(name));
         }
      }
   }
}
