﻿using Caliburn.Micro;
using RibbonApplication.Models;
using System.Collections.ObjectModel;
using static RibbonApplication.Models.Ribbon;

namespace RibbonApplication.ViewModels
{
   class RibbonViewModel: PropertyChangedBase
   {

      public ObservableCollection<CustomRibbonTab> _ribbontabs;
      
      public ObservableCollection<CustomRibbonTab> CustomRibbonTabs
      {
         get { return _ribbontabs; }
         set
         {
            _ribbontabs = value;
            NotifyOfPropertyChange(() => CustomRibbonTabs);
         }
      }

     
      public RibbonViewModel()
      {
         string file = @"XMLFiles\ribboncontents.xml";
         _ribbontabs = Ribbon.ParseXMLRun(file);
      }


      public void EnableButtons()
      {
         foreach(CustomRibbonTab tab in CustomRibbonTabs)
         {
            foreach (CustomRibbonBar bar in tab.CustomRibbonBars)
            {
               foreach (CustomRibbonItem item in bar.CustomRibbonItems)
               {
                  item.IsEnabled = true;
                  NotifyOfPropertyChange(() => bar.CustomRibbonItems);
                 
               }
               NotifyOfPropertyChange(() => tab.CustomRibbonBars);
            }
            NotifyOfPropertyChange(() => CustomRibbonTabs);
         }
      }

   }
}




     

   
